JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros
juce_WeakReference.h File Reference

## Classes
class | WeakReference< ObjectType, ReferenceCountingType >
| This class acts as a pointer which will automatically become null if the object to which it points is deleted. More...
class | WeakReference< ObjectType, ReferenceCountingType >::SharedPointer
| This class is used internally by the WeakReference class - don't use it directly in your code! More...
class | WeakReference< ObjectType, ReferenceCountingType >::Master
| This class is embedded inside an object to which you want to attach WeakReference pointers. More...

## Macros
#define | JUCE_DECLARE_WEAK_REFERENCEABLE(Class)
| Macro to easily allow a class to be made weak-referenceable.